Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.mail
Interface IMailAddress

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  InternetMailAddress

public interface IMailAddress
extends java.io.Serializable

This interface defines a mail address.

Method Summary
`java.lang.String` | `getAddress()` Gets the address.
`java.lang.String` | `getFullAddress()` Gets the full address of this mail address.
`java.lang.String` | `getName()` Gets the personal name of the mail address.
`void` | `setAddress(java.lang.String sAddress)` Sets the address.
`void` | `setName(java.lang.String sName)` Sets the personal name of the mail address.
`void` | `validate()` Validates the mail address for format.

Method Detail

### getName

    public java.lang.String getName()

  Gets the personal name of the mail address.
  Returns:
    the personal name of the mail address

### setName

    public void setName(java.lang.String sName)

  Sets the personal name of the mail address.
  Parameters:
    `sName` - the personal name of the mail address

### getAddress

    public java.lang.String getAddress()

  Gets the address.
  Returns:
    the address

### setAddress

    public void setAddress(java.lang.String sAddress)

  Sets the address.
  Parameters:
    `sAddress` - the address

### validate

    public void validate()
                  throws MailException

  Validates the mail address for format.

### getFullAddress

    public java.lang.String getFullAddress()

  Gets the full address of this mail address.
  Returns:
    the full address of this mail address

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.